This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 165139 - kdegraphics applications crash when Open or Save dialog is opened
kdegraphics applications crash when Open or Save dialog is opened
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdegraphics (Show other bugs)
4.0
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 12:27 EDT by Radek Bíba
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0184
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 12:46:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Backtrace from KCrash (2.77 KB, text/plain)
2005-08-04 12:45 EDT, Radek Bíba
no flags Details

  None (edit)
Description Radek Bíba 2005-08-04 12:27:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
When I run any application from package kdegraphics on PPC on RHEL 4 and open the
Open file or Save file dialog, the application crashes. Some applications from
this package crash immediately after they're launched (kooka and kuickshow). I'll
attach a backtrace, here's an output to the command line:

$ kuickshow
terminate called after throwing an instance of 'std::bad_alloc'
  what():  St9bad_alloc
KCrash: Application 'kuickshow' crashing...


Version-Release number of selected component (if applicable):
kdegraphics-3.3.1-3.3.ppc

How reproducible:
Always

Steps to Reproduce:
Two possible steps: (third one is kooka and kuickshow which crash immediately)
1a. Launch e.g. kpdf
2a. Try to open a file in kpdf (click the icon, choose Open from the menu, ...)

1b. Launch e.g. kiconedit
2b. Draw something and try to save it


Actual Results:  The application crashes; if you've done something and try to save it, it'll be lost.

Expected Results:  The dialog should just work.

Additional info:

I've tried to open the dialogs with some other KDE applications and I've found the
same behavior with ark. There may be other affected applications.
Comment 1 Radek Bíba 2005-08-04 12:45:11 EDT
Created attachment 117465 [details]
Backtrace from KCrash
Comment 5 Red Hat Bugzilla 2006-01-19 12:46:58 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0184.html

Note You need to log in before you can comment on or make changes to this bug.